MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030991Open CASCADE[OCCT] OCCT:DRAWpublic2019-09-21 11:442019-09-29 12:36
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.4.0 
Target Version[OCCT] 7.4.0Fixed in Version 
Summary0030991: Draw Harness - ViewerTest::ParseColors() defines out-of-range alpha component
DescriptionPassing "1 1 1" to ViewerTest::ParseColors() defining Quantity_ColorRGBA creates invalid color with out-of-range 255 alpha component.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
child of 0030623verifiedbugmaster Draw Harness - support hex color codes within ViewerTest::ParseColor() 

-  Notes
(0087383)
git (administrator)
2019-09-21 17:19

Branch CR30991 has been created by kgv.

SHA-1: 031f1c6b605632f98a5e117016a4d8cdca186902


Detailed log of new commits:

Author: kgv
Date: Sat Sep 21 17:10:23 2019 +0300

    0030991: Draw Harness - ViewerTest::ParseColor() defines out-of-range alpha component
    
    ViewerTest::ParseColor() - fixed alpha component defined as 255 for RGB-only input.
    
    vdrawtext command now uses ViewerTest::ParseColor() for parsing color argument, so that it accepts hex.
    vreadpixel command now has been extended with -hex argument for printing color in hex format.
    
    Commands XSetColor, XGetColor, XGetShapeColor, XGetAllColors, XAddColor, XRemoveColor, XFindColor,
    XUnsetColor, XGetInstanceColor, XSetInstanceColor have been corrected to properly report syntax input errors
    and to accept color names and hex (by reusing ViewerTest::ParseColor()).
(0087384)
git (administrator)
2019-09-21 17:46

Branch CR30991 has been updated forcibly by kgv.

SHA-1: e684b9301d0b01386857917a970c4752237babdd
(0087386)
git (administrator)
2019-09-21 18:03

Branch CR30991 has been updated forcibly by kgv.

SHA-1: efad643f8bd62ec52e94af1ed351bb10bde7f3c0
(0087392)
git (administrator)
2019-09-21 18:44

Branch CR30991 has been updated forcibly by kgv.

SHA-1: 84d7897be0ac5198fb19e84beae6de8ea3fe8406
(0087395)
git (administrator)
2019-09-21 20:47

Branch CR30991 has been updated forcibly by kgv.

SHA-1: d254c6f9ad1b1ad5711da455d0d979db4926a3e1
(0087405)
kgv (developer)
2019-09-22 00:12

Patch is ready for review.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR30991-master-KGV/ [^]
(0087462)
osa (developer)
2019-09-24 11:06

The patch was reviewed without remarks
(0087475)
bugmaster (administrator)
2019-09-24 13:55

Combination -
OCCT branch : CR30991
master SHA - d254c6f9ad1b1ad5711da455d0d979db4926a3e1
5f5b1aed1c6e139bbd34314eca77ae7abcd8895c
Products branch : master SHA - cede13b0d79b1c3448ecd68f0db85c2a087762ad
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16822.38000000013 / 16808.79000000008 [+0.08%]
Products
Total CPU difference: 10571.11000000003 / 10573.91000000004 [-0.03%]
Windows-64-VC14:
OCCT
Total CPU difference: 18254.25 / 18298.78125 [-0.24%]
Products
Total CPU difference: 12525.25 / 12507.671875 [+0.14%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0087627)
git (administrator)
2019-09-29 12:36

Branch CR30991 has been deleted by inv.

SHA-1: d254c6f9ad1b1ad5711da455d0d979db4926a3e1

- Related Changesets
occt: master 9196ea9d
Timestamp: 2019-09-21 14:10:23
Author: kgv
Committer: bugmaster
Details ] Diff ]
0030991: Draw Harness - ViewerTest::ParseColor() defines out-of-range alpha component

ViewerTest::ParseColor() - fixed alpha component defined as 255 for RGB-only input.
Quantity_Color::ColorToHex() now rounds-up float values to closest integer.
Quantity_ColorRGBA::ColorToHex() - added method formatting color into hex with alpha component consistent to Quantity_Color::ColorToHex() for RGB.

vdrawtext command now uses ViewerTest::ParseColor() for parsing color argument, so that it accepts hex.
vreadpixel command now has been extended with -hex argument for printing color in hex format.

Commands XSetColor, XGetColor, XGetShapeColor, XGetAllColors, XAddColor, XRemoveColor, XFindColor,
XUnsetColor, XGetInstanceColor, XSetInstanceColor have been corrected to properly report syntax input errors
and to accept color names and hex (by reusing ViewerTest::ParseColor()).
mod - samples/tcl/materials.tcl Diff ] File ]
mod - samples/tcl/pathtrace_ball.tcl Diff ] File ]
mod - samples/tcl/pathtrace_cube.tcl Diff ] File ]
mod - samples/tcl/pathtrace_materials.tcl Diff ] File ]
mod - src/Image/Image_AlienPixMap.cxx Diff ] File ]
mod - src/Quantity/Quantity_Color.hxx Diff ] File ]
mod - src/Quantity/Quantity_ColorRGBA.hxx Diff ] File ]
mod - src/ViewerTest/ViewerTest.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ObjectCommands.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]
mod - src/XDEDRAW/XDEDRAW_Colors.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2019-09-21 11:44 kgv New Issue
2019-09-21 11:44 kgv Assigned To => kgv
2019-09-21 11:44 kgv Relationship added child of 0030623
2019-09-21 17:19 git Note Added: 0087383
2019-09-21 17:46 git Note Added: 0087384
2019-09-21 18:03 git Note Added: 0087386
2019-09-21 18:44 git Note Added: 0087392
2019-09-21 20:47 git Note Added: 0087395
2019-09-22 00:12 kgv Note Added: 0087405
2019-09-22 00:12 kgv Assigned To kgv => osa
2019-09-22 00:12 kgv Status new => resolved
2019-09-24 11:06 osa Note Added: 0087462
2019-09-24 11:06 osa Assigned To osa => bugmaster
2019-09-24 11:06 osa Status resolved => reviewed
2019-09-24 13:55 bugmaster Note Added: 0087475
2019-09-24 13:55 bugmaster Status reviewed => tested
2019-09-24 13:55 bugmaster Test case number => Not required
2019-09-29 12:19 bugmaster Changeset attached => occt master 9196ea9d
2019-09-29 12:19 bugmaster Status tested => verified
2019-09-29 12:19 bugmaster Resolution open => fixed
2019-09-29 12:36 git Note Added: 0087627


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker